Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040490
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Sessionsmajoralways2019-03-29 09:022019-04-17 15:50
Reportersamuel_nicuesaView Statuspublic 
Assigned TojavierRodriguez 
PriorityhighResolutionfixedFixed in VersionRR19Q3
StatusclosedFix in branchFixed in SCM revisionb94ef6136adf
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040490: Till differences are deleted from cash management after clearing cache.

DescriptionTill differences are deleted from cash management after clearing cache if you have configured in payment method field the following configuration:

Cash Management > G/L Item for Till Differences = > G/L Item Cash Differences instead of VBS Cash differences.

Sessions module needs to be installed to have till differences
Steps To Reproduce[BO]

VBS-1

Configure in Pos terminal type > payment method > Cash Management > G/L Item for Till Differences = > G/L Item Cash Differences

[POS]

Login into WEB POS user vallblanca

Add differences doing the cash up

Crate one ticket and pay it

Create cash management and add cash deposit in order to have 2 lines into cash management table.

Check in local database that you have 2 records in this table.

Click on Done button in Cash Management window to synchronize the new transaction.

Clear cache

Link again the terminal

Login again

Cash up needs to be done and the cash management needs to be loaded from BO

Go to chrome database > cashmanagement table and see that you don't have the till differences loaded in the terminal


I noticed that if you have configured in Backoffice G/L Item for Till Differences as VBS Cash Differences the cash management is loaded.
TagsNo tags attached.
Attached Filesdiff file icon 8296.diff [^] (824 bytes) 2019-04-03 10:07 [Show Content]
diff file icon posterminal40490.diff [^] (4,696 bytes) 2019-04-05 12:05 [Show Content]
diff file icon sessions40490.diff [^] (746 bytes) 2019-04-05 12:05 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0111023)
hgbot (developer)
2019-04-08 13:40

Repository: erp/pmods/org.openbravo.retail.sessions
Changeset: c56f153e9c4bd7d46fae73aa6aa8c7696c32f70b
Author: Javier Rodriguez <javier.rodriguez <at> openbravo.com>
Date: Mon Apr 08 13:36:42 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/c56f153e9c4bd7d46fae73aa6aa8c7696c32f70b [^]

Related to issue 40490: Till differences are deleted from cash management after clearing cache.

Added hook implementation to posterminal

---
A src/org/openbravo/retail/sessions/ExtendsCashManagementPaymentTypeHookImplementation.java
---
(0111027)
hgbot (developer)
2019-04-08 17:38

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: b94ef6136adfabdd210eb9d57a215db33bad7fe6
Author: Javier Rodriguez <javier.rodriguez <at> openbravo.com>
Date: Mon Apr 08 17:38:14 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b94ef6136adfabdd210eb9d57a215db33bad7fe6 [^]

Fixed issue 40490: Till differences are deleted from cash management after clearing cache.

Defined a new Hook to add diferents paymentTypes in posterminal

---
M src/org/openbravo/retail/posterminal/master/Cashup.java
A src/org/openbravo/retail/posterminal/ExtendsCashManagementPaymentTypeHook.java
---
(0111036)
hgbot (developer)
2019-04-09 10:21

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: a8afdbce5ac0f163d708a050ded8390521e8e31b
Author: Javier Rodriguez <javier.rodriguez <at> openbravo.com>
Date: Tue Apr 09 10:21:38 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a8afdbce5ac0f163d708a050ded8390521e8e31b [^]

Related to issue 40490: Added missing license

---
M src/org/openbravo/retail/posterminal/ExtendsCashManagementPaymentTypeHook.java
---
(0111037)
hgbot (developer)
2019-04-09 10:23

Repository: erp/pmods/org.openbravo.retail.sessions
Changeset: 271b11a2d535a2a32fa5451b4a59b23e046f23d5
Author: Javier Rodriguez <javier.rodriguez <at> openbravo.com>
Date: Tue Apr 09 10:22:56 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/271b11a2d535a2a32fa5451b4a59b23e046f23d5 [^]

Related to issue 40490: Added missing license

---
M src/org/openbravo/retail/sessions/ExtendsCashManagementPaymentTypeHookImplementation.java
---
(0111051)
hgbot (developer)
2019-04-10 08:20

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 039da509aad3632e34e7719e96f4c74226cc4092
Author: Javier Rodriguez <javier.rodriguez <at> openbravo.com>
Date: Wed Apr 10 08:19:36 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/039da509aad3632e34e7719e96f4c74226cc4092 [^]

Related to issue 40490

Arrays.asList does not work properly, so i deleted it and create a List iterating the first array
I also created two diferents list to take all payment types from posterminal and from hooks and,
at the end, I concated all this paymentTypes in a single list

---
M src/org/openbravo/retail/posterminal/master/Cashup.java
---
(0111113)
hgbot (developer)
2019-04-12 16:08

Repository: tools/automation/pi-mobile
Changeset: 71f8d16e049a0e1dd6aea050418df0479c2e2042
Author: Alejandro <alekosmp86 <at> gmail.com>
Date: Thu Apr 11 15:22:43 2019 -0400
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/71f8d16e049a0e1dd6aea050418df0479c2e2042 [^]

Related to issue 40490: added automated test

---
A src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/sessions/openstoretill/I40490_VerifyTillDifferenceNotDeletedWhenCacheIsCleared.java
---
(0111187)
guilleaer (developer)
2019-04-17 12:38

Server side hook documentation is pending
(0111193)
javierRodriguez (developer)
2019-04-17 13:28

Documentation here:
http://wiki.openbravo.com/wiki/List_of_Server_Side_Hooks_in_Web_POS#Hooks [^]

- Issue History
Date Modified Username Field Change
2019-03-29 09:02 samuel_nicuesa New Issue
2019-03-29 09:02 samuel_nicuesa Assigned To => Retail
2019-03-29 09:02 samuel_nicuesa Triggers an Emergency Pack => No
2019-03-29 09:42 samuel_nicuesa Proposed Solution updated
2019-03-29 09:42 jorge-garcia Steps to Reproduce Updated View Revisions
2019-03-29 09:42 jorge-garcia Proposed Solution updated
2019-04-02 19:39 marvintm Assigned To Retail => javierRodriguez
2019-04-02 19:39 marvintm Status new => scheduled
2019-04-03 10:07 samuel_nicuesa File Added: 8296.diff
2019-04-05 12:05 javierRodriguez File Added: posterminal40490.diff
2019-04-05 12:05 javierRodriguez File Added: sessions40490.diff
2019-04-08 13:40 hgbot Checkin
2019-04-08 13:40 hgbot Note Added: 0111023
2019-04-08 17:38 hgbot Checkin
2019-04-08 17:38 hgbot Note Added: 0111027
2019-04-08 17:38 hgbot Status scheduled => resolved
2019-04-08 17:38 hgbot Resolution open => fixed
2019-04-08 17:38 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b94ef6136adfabdd210eb9d57a215db33bad7fe6 [^]
2019-04-09 10:21 hgbot Checkin
2019-04-09 10:21 hgbot Note Added: 0111036
2019-04-09 10:23 hgbot Checkin
2019-04-09 10:23 hgbot Note Added: 0111037
2019-04-10 08:20 hgbot Checkin
2019-04-10 08:20 hgbot Note Added: 0111051
2019-04-12 16:08 hgbot Checkin
2019-04-12 16:08 hgbot Note Added: 0111113
2019-04-17 12:38 guilleaer Note Added: 0111187
2019-04-17 13:28 javierRodriguez Note Added: 0111193
2019-04-17 15:50 guilleaer Review Assigned To => guilleaer
2019-04-17 15:50 guilleaer Status resolved => closed
2019-04-17 15:50 guilleaer Fixed in Version => RR19Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker